# Cancel partial authorization

If you don't want to proceed with a payment, you can send a partial cancel request. 
 Note: You can only cancel a payment which is authorized. If the payment is settled, you must create a refund.

Endpoint: POST /payments/authorizations/cancellations/partials/{linkData}
Version: 7
Security: BasicAuth

## Path parameters:

  - `linkData` (string, required)
    Action link that's received in your request.

## Header parameters:

  - `Content-Type` (string, required)
    Example: "application/vnd.worldpay.payments-v7+json"

  - `Accept` (string, required)
    Example: "application/vnd.worldpay.payments-v7+json"

## Request fields (application/vnd.worldpay.payments-v7+json):

  - `reference` (string, required)
    A reference generated by you to identify a payment throughout its lifecycle.
    Example: "partial-cancellation-reference"

  - `value` (object, required)
    An object that contains information about the value of the payment.

  - `value.amount` (integer, required)
    The payment amount. This is a whole number with an exponent e.g. if exponent is two, 250 is 2.50.
    Example: 250

  - `value.currency` (string, required)
    The three character currency code. See list of [supported currencies](/products/reference/supported-countries-currencies#iso-currency-codes).
    Example: "USD"

## Response 202 fields (application/vnd.worldpay.payments-v7+json):

  - `_links` (object)

  - `_links.cardPayments:cancel` (object)
    An action link to cancel the full authorized amount.

  - `_links.cardPayments:cancel.href` (string)
    An action link to cancel the full authorized amount.
    Example: "https://try.access.worldpay.com/payments/authorizations/cancellations/{linkData}"

  - `_links.cardPayments:partialCancel` (object)
    An action link to cancel a portion of the authorized amount.

  - `_links.cardPayments:partialCancel.href` (string)
    An action link to cancel a portion of the authorized amount.
    Example: "https://try.access.worldpay.com/payments/authorizations/cancellations/partials/{linkData}"

  - `_links.cardPayments:settle` (object)
    An action link to send the full authorized amount for settlement.

  - `_links.cardPayments:settle.href` (string)
    An action link to send the full authorized amount for settlement.
    Example: "https://try.access.worldpay.com/payments/settlements/full/{linkData}"

  - `_links.cardPayments:partialSettle` (object)
    An action link to send a portion of the authorized amount for settlement.

  - `_links.cardPayments:partialSettle.href` (string)
    An action link to send a portion of the authorized amount for settlement.
    Example: "https://try.access.worldpay.com/payments/settlements/partials/{linkData}"

  - `_links.cardPayments:events` (object)
    An action link to retrieve the last event of the payment.

  - `_links.cardPayments:events.href` (string)
    An action link to retrieve the last event of the payment.
    Example: "https://try.access.worldpay.com/payments/events/{linkData}"

## Response 400 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

  - `validationErrors` (array)
    Further error details

  - `validationErrors.errorName` (string)

  - `validationErrors.message` (string)

  - `validationErrors.jsonPath` (string)

## Response 401 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 404 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 415 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 500 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)


